<?php

 include_once '../../sys/db.php';
 include_once '../../sys/fnc.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
	/*	 Функция ank	*/
$user_q = mysql_query("SELECT * FROM `user` WHERE `id` = '". intval($_GET['id']) ."'");
$ank = mysql_fetch_object($user_q);
	/*	Вывод пола user	*/
if ($ank->pol == 0)$pol_ank = 'Женский'; else $pol_ank = 'Мужской';
	/* Пользователя такого нет */
if (mysql_num_rows($user_q) != 1) {
$title = 'Ошибка страницы';
 include_once '../../sys/head.php';
echo $div->div_razd.'Страница</div>';
echo $div->div_err.'Такого пользователя не существует!</div>';
 include_once '../../sys/foot.php';
exit;
}
/*	Для редактивирования	*/
if (isset($_GET['act']) && $_GET['act']=='edit_ank'){
if (isset($_POST['save_ank'])) {
$name = html($_POST['name']);
$pol = intval($_POST['pol']);
mysql_query("UPDATE `user` SET `name` = '$name', `pol` = '$pol' WHERE `id` = '". $user->id ."'");
header('Location: ?id='.$user->id.'&act=edit_ank');
}
$title = 'Редактировать анкету: '.$user->login.'';
include_once '../../sys/head.php';
echo $div->div_razd.'Редактировать анкету: '.$user->login.'</div>';
echo '<div class="post"><form method="post">
<b>Имя</b>:<br><input type="text" name="name" value="'. html($user->name) .'" maxlength="32" /><br>
<b>Пол</b>:<br>
<input name="pol" type="radio" '. ($user->pol == 0 ? 'checked="checked"' : null) .' value="0" />Женский
<br><input name="pol" type="radio" '. ($user->pol == 1 ?'checked="checked"' : null) .' value="1" />Мужской<br>
<input type="submit" name="save_ank" value="Сохранить" />
</form></div>'.$div->div_menu.' <a href="/scripts/user/user.view.php?id='.$ank->id.'">Назад</a></div>';
 include_once '../../sys/foot.php';
}
// Редактировать анкету user
if (isset($_GET['act']) && $_GET['act']=='edit_user'){
$u = mysql_query("SELECT * FROM `user` WHERE `id` = '". intval($_GET['id']) ."'");
if (mysql_num_rows($u) != 1) {
$title = 'Ошибка';
include_once '../../sys/head.php';
echo $div->div_razd.'<a href="index.php">Пользователи</a> / Ошибка</div>';
echo $div->div_err.'Такого пользователя не существует!</div>
<a href="index.php"><img src="/design/imgs/arr_b.png"> Назад</a>';
 include_once '../../sys/foot.php';
exit;
}
$title = 'Редактировать анкету: '.$ank->login.'';
include_once '../../sys/head.php';

// Проверяем на доступ
if ($user->position != 'admin' || $user->id == $ank->id){
echo $div->div_err.'Доступ к скрипту закрыт</div>';
include_once '../../sys/foot.php';
exit;
}
if (isset($_POST['save_s'])) {
$name = html($_POST['name']);
$blocking = intval($_POST['blocking']);
$position = html($_POST['position']);

mysql_query("UPDATE `user` SET `name` = '$name', `blocking` = '$blocking', `position` = '$position' WHERE `id` = '". $ank->id ."'");
header('Location: ?id='.$ank->id.'&act=edit_user');
}
echo '<div class="post"><form method="post">
<b>Имя</b>:<br><input type="text" name="name" value="'. html($ank->name) .'" maxlength="32" /><br>';
?>
<label><input type='checkbox' name='blocking'<? echo $ank->blocking?" checked='checked'":null ;?> value='1' /> Блокировать аккаунт</label><br />
Должность: <br />
<?
echo "<select name='position'>";
echo "<option value='user'".($ank->position == user?" selected='selected'":null).">Клиент</option>\n";
echo "<option value='mod'".($ank->position == mod?" selected='selected'":null).">Сотрудник техподдержки</option>\n";
echo "<option value='admin'".($ank->position == admin?" selected='selected'":null).">Сис. Администратор</option>\n";
echo "</select><br />\n";
?>
<input type="submit" name="save_s" value="Сохранить" />
</form></div><? echo $div->div_menu; ?> <a href="/scripts/user/user.view.php?id=<? echo $ank->id; ?>">Назад</a></div>
<?
 include_once '../../sys/foot.php';
}
$title = 'Страница: '.$user->login.'';
 include_once '../../sys/head.php';
// Выводим должность
if ($ank->position == 'admin')$position = 'Сис. Администратор';
if ($ank->position == 'mod')$position = 'Сотрудник техподдержки';
if ($ank->position == 'user')$position = 'Клиент';
// Проверка на блокировку аккаунта
if ($ank->blocking == 1)echo $div->div_err.'<b> Аккаунт заблокированый</b></div>';
echo $div->div_menu.'<img src="'.$ank->imguser.'" alt="" width="256" height="256"/>';
echo $div->div_menu.'<img src="/style/img/link.png">  Логин: '.$ank->login.'</div>';
echo $div->div_menu.'<img src="/style/img/link.png">  Имя: '. html($ank->name) .'</div>';
echo $div->div_menu.'<img src="/style/img/link.png">  Пол: '. $pol_ank .'</div>';
echo $div->div_menu.'<img src="/style/img/link.png">  Должность: '. $position .'</div>';
echo '<img src="/style/img/link.png">  Достижения: <img src="'.$ank->dsp_komment.'" alt="Достижение Комментатор" width="32" height="32" /><img src="'.$ank->dsp_friends.'" alt="Достижение Я лучший друг" width="32" height="32" /><img src="'.$ank->dsp_repost.'" alt="Достижение Я делюсь" width="32" height="32" />';
if(isset($user) && $user->id != $ank->id)echo $div->div_menu.'<img src="/style/img/link.png"> <a href="/scripts/mail/new.php?id='.$ank->id.'">Написать</a></div>';
if ($ank->id == $user->id)
{
echo '<div class="post"><img src="'.$HOME.'/scripts/user/img/set.png" alt="Изменить"> <a href="'.$HOME.'/scripts/user/user.view.php?id='.$ank->id.'&act=edit_ank">Редактировать</a><br>';
echo '<b>IP:</b> '. $ank->IP .'<br>';
echo '<b>UserAgent:</b> '. $ank->agent.'</div>';
}
if ($ank->id != $user->id && $user->position == 'admin'){
echo '<div class="post">Админка:<br> <a href="'.$HOME.'/scripts/user/user.view.php?id='.$ank->id.'&act=edit_user"><img src="'.$HOME.'/scripts/user/img/set.png" alt="Изменить"> Редактировать</a><br>';
if ($user->id == '1')echo ' <a href="'.$HOME.'/scripts/user/user.transfer.wmr.php?id='.$ank->id.'"><img src="'.$HOME.'/style/img/add_wmr.png" alt="Передать WMR"> Передать WMR</a><br>';
echo '<b>IP:</b> '. $ank->IP .'<br>';
echo '<b>UserAgent:</b> '. $ank->agent.'</div>';
echo $div->div_menu.' » На балансе: <b>'.sprintf("%.02f", $ank->wmr).'</b> рублей. </div>';
}

if ($user->position == 'admin'){
echo '<div class="post">';
echo '<a href="/scripts/admin/logs_balans_user.php?id='.$ank->id.'">История денежными средствами</a>';
echo '</div>';
}
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
?>